跳转到主要内容
告警与响应相关接口/告警模板
GETAlerting起始版本 1.0同步需要认证

获取告警模板变量引用列表

获取变量引用文档模板编辑。

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • itemsList

    条目列表。

    示例: (nested array)

    • pathString

      变量路径模板数据模型。

      示例: .AlertName

    • typeString

      类型。

      示例: text

    • descriptionString

      资源的详细描述。

      示例: Name of the alert rule

    • exampleString

      值变量。

      示例: High CPU Usage

    • groupString

      变量组文档组织。

      示例: alert

请求地址

GET/api/v1/alerting/templates/variables

/api/v1/alerting/templates/variables

操作 ID

GetAlertTemplateVariableReference

永久链接

请求示例

curl -X GET '{host}/api/v1/alerting/templates/variables' -H 'Authorization: Bearer {token}'

响应示例

200
{
  "items": [
    {}
  ]
}

变更历史

此 API 暂无变更历史记录。

查看全部变更历史